Bug 1779995 - Packagemanifest get/list is very slow
Summary: Packagemanifest get/list is very slow
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.3.0
Assignee: Nick Hale
QA Contact: Bruno Andrade
URL:
Whiteboard:
Depends On: 1779990
Blocks: 1787597
TreeView+ depends on / blocked
 
Reported: 2019-12-05 08:21 UTC by Nick Hale
Modified: 2020-02-20 15:57 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1779990
Environment:
Last Closed: 2020-01-23 11:17:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github operator-framework operator-lifecycle-manager pull 1181 None closed [release-4.3] Bug 1779995: fix(packageserver): cache packagemanifests 2020-02-20 15:56:52 UTC
Red Hat Product Errata RHBA-2020:0062 None None None 2020-01-23 11:18:08 UTC

Comment 6 Bruno Andrade 2019-12-18 22:28:19 UTC
Getting all packages with `kubectl get packagemanifests` with the following operator sources took 2 ms. Moving to VERIFIED.

Cluster Version: 4.3.0-0.nightly-2019-12-18-105351
OLM version: 0.13.0
git commit: bda7125152ec70b693bc8b78090c3bd9b7e1331a


I1218 22:25:13.140147       1 httplog.go:90] GET /apis/packages.operators.coreos.com/v1?timeout=32s: (2.535824ms) 200 [hyperkube/v1.16.2 (linux/amd64) kubernetes/e310886/system:serviceaccount:kube-system:resourcequota-controller 10.130.0.1:58350]

oc get operatorsource -n openshift-marketplace
NAME                  TYPE          ENDPOINT              REGISTRY              DISPLAYNAME           PUBLISHER   STATUS      MESSAGE                                       AGE
certified-operators   appregistry   https://quay.io/cnr   certified-operators   Certified Operators   Red Hat     Succeeded   The object has been successfully reconciled   5h19m
community-operators   appregistry   https://quay.io/cnr   community-operators   Community Operators   Red Hat     Succeeded   The object has been successfully reconciled   5h19m
redhat-operators      appregistry   https://quay.io/cnr   redhat-operators      Red Hat Operators     Red Hat     Succeeded   The object has been successfully reconciled   5h19m

Comment 8 errata-xmlrpc 2020-01-23 11:17:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0062


Note You need to log in before you can comment on or make changes to this bug.